import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import './config-state.js';
import './dinero.js';
import { E as EntityDocumentType } from './Plaid.js';
import './Pagination.js';
import './Business.js';
import './ApplePay.js';
import { d as defineCustomElement$4 } from './custom-popper2.js';
import { d as defineCustomElement$3 } from './form-control-file2.js';
import { d as defineCustomElement$2 } from './form-control-tooltip2.js';

const BankAccountDocumentFormInputs$1 = /*@__PURE__*/ proxyCustomElement(class BankAccountDocumentFormInputs extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h("div", { key: 'd0dacb95d07d3e4ca9bc2c9f23b6c490871da4e9', class: "row gy-3" }, h("div", { key: '02ed406f38558badf9f591e076b120d09c71f83b', class: "col-12" }, h("form-control-file", { key: '11ff1dc68264b9e5aa561ffe19b423abc1a00c78', name: "voided_check", label: "Voided Check", documentType: EntityDocumentType.voidedCheck, inputHandler: this.inputHandler, onFileSelected: this.storeFiles, errorText: this.errors["voided_check"], multiple: true })), h("div", { key: '71d26407522a75a54489155566c18af1a64c1417', class: "col-12" }, h("form-control-file", { key: '7ea42e03a44c223a5fedc273e94e635e70d54f4b', name: "bank_statement", label: "Bank Statement", documentType: EntityDocumentType.bankStatement, inputHandler: this.inputHandler, onFileSelected: this.storeFiles, errorText: this.errors["bank_statement"], multiple: true }))));
    }
}, [256, "bank-account-document-form-inputs", {
        "inputHandler": [16],
        "errors": [8],
        "storeFiles": [16]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bank-account-document-form-inputs", "custom-popper", "form-control-file", "form-control-tooltip"];
    components.forEach(tagName => { switch (tagName) {
        case "bank-account-document-form-inputs":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BankAccountDocumentFormInputs$1);
            }
            break;
        case "custom-popper":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "form-control-file":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "form-control-tooltip":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const BankAccountDocumentFormInputs = BankAccountDocumentFormInputs$1;
const defineCustomElement = defineCustomElement$1;

export { BankAccountDocumentFormInputs, defineCustomElement };
